gtkmm: Gdk::PixbufAnimation Class Reference

gtkmm 2.24.4

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Related Functions

# Gdk::PixbufAnimation Class Reference

The gdk-pixbuf library provides a simple mechanism to load and represent animations. More...

Inheritance diagram for Gdk::PixbufAnimation:
[legend]
Collaboration diagram for Gdk::PixbufAnimation:
[legend]

List of all members.

## Public Member Functions
virtual | ~PixbufAnimation ()
GdkPixbufAnimation* | gobj ()
| Provides access to the underlying C GObject.
const GdkPixbufAnimation* | gobj () const
| Provides access to the underlying C GObject.
GdkPixbufAnimation* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
int | get_width () const
int | get_height () const
bool | is_static_image () const
Glib::RefPtr< Pixbuf > | get_static_image ()
Glib::RefPtr< PixbufAnimationIter > | get_iter (const GTimeVal* start_time)
## Static Public Member Functions
static Glib::RefPtr < PixbufAnimation > | create_from_file (const Glib::ustring& filename)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr < Gdk::PixbufAnimation > | wrap (GdkPixbufAnimation* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

The gdk-pixbuf library provides a simple mechanism to load and represent animations.

An animation is conceptually a series of frames to be displayed over time. Each frame is the same size. The animation may not be represented as a series of frames internally; for example, it may be stored as a sprite and instructions for moving the sprite around a background. To display an animation you don't need to understand its representation, however; you just ask gdk-pixbuf what should be displayed at a given point in time.

## Constructor & Destructor Documentation

virtual Gdk::PixbufAnimation::~PixbufAnimation | ( |  | ) | `[virtual]`

## Member Function Documentation

static Glib::RefPtr<PixbufAnimation> Gdk::PixbufAnimation::create_from_file | ( | const Glib::ustring & | filename | ) | `[static]`

int Gdk::PixbufAnimation::get_height | ( |  | ) | const

Glib::RefPtr<PixbufAnimationIter> Gdk::PixbufAnimation::get_iter | ( | const GTimeVal * | start_time | ) |

Glib::RefPtr<Pixbuf> Gdk::PixbufAnimation::get_static_image | ( |  | ) |

int Gdk::PixbufAnimation::get_width | ( |  | ) | const

GdkPixbufAnimation* Gdk::PixbufAnimation::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

const GdkPixbufAnimation* Gdk::PixbufAnimation::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

GdkPixbufAnimation* Gdk::PixbufAnimation::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

bool Gdk::PixbufAnimation::is_static_image | ( |  | ) | const

## Friends And Related Function Documentation

Glib::RefPtr< Gdk::PixbufAnimation > wrap | ( | GdkPixbufAnimation * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gdkmm/pixbufanimation.h